Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033695
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorsometimes2016-08-12 09:522016-11-16 09:53
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8288cc5de0f0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033695: It is still possible to press twice Done or Layaway buttons

DescriptionClients like Superdoña or Laeuropea are still having this problem from time to time.
We added a enyo.$.scrim.show(); but it is not enough. We have to research and find a way to avoid this double click.
Steps To ReproduceSometimes...

- Login
- Add a product
- Add exact payment
- Press Done twice
- ERROR: 2 Orders are send, one with all attributes initialized to null
TagsNo tags attached.
Attached Filesdiff file icon 33695_backport16Q2.diff [^] (1,029 bytes) 2016-09-19 13:33 [Show Content]
diff file icon posterminal33695_16Q1.3.diff [^] (3,609 bytes) 2016-11-16 09:53 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030236 closedOrekaria Pressing Layaway button more than once we increment doc number 
depends on backport 0034052RR16Q3.2 closedmigueldejuana It is still possible to press twice Done or Layaway buttons 
depends on backport 0034053RR16Q2.3 closedmigueldejuana It is still possible to press twice Done or Layaway buttons 
related to defect 0033696RR16Q4 closedmtaal NPE in POSImportEntryProcessor when the posterminal json property has an illegal value 
related to defect 0037001 closedranjith_qualiantech_com it is possible to click twice "use credit" button 
causes defect 0034065 closedmigueldejuana If you create several orders, leave them on hold, an error popup raises when paying a 2nd order 

-  Notes
(0089352)
hgbot (developer)
2016-08-24 15:48

Repository: tools/automation/pi-mobile
Changeset: 48feb71fe4cf11d0e5c757dfaf52dfdbaa42c4d9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Aug 24 09:56:36 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/48feb71fe4cf11d0e5c757dfaf52dfdbaa42c4d9 [^]

Related issue 0033695: It is still possible to press twice Done or Layaway buttons

- Add time to wait until Done button can be pressed again

---
M src-test/org/openbravo/test/mobile/common/selenium/utils/OBConstants.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I31146_CashupCloseWindowsAndPay.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I28272_HookPreOrderSaveNotCancelling.java
---
(0089353)
hgbot (developer)
2016-08-24 15:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 312487227df3dd7bfac2fa67901892f9acd9555c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Aug 23 16:05:13 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/312487227df3dd7bfac2fa67901892f9acd9555c [^]

Fixed issue 0033695: It is still possible to press twice Done or Layaway buttons

- Block Done button during 1 second to avoid double click

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0089357)
hgbot (developer)
2016-08-24 15:48

Repository: tools/automation/pi-mobile
Changeset: 32a4b9a597f29397b556b52f874118481d157bae
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Aug 24 15:47:04 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/32a4b9a597f29397b556b52f874118481d157bae [^]

Related issue 0033695: It is still possible to press twice Done or Layaway buttons

- Add wait to avoid pressing Done twice in one second

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I28582_NoNewReceiptWhenQueueExists.java
---
(0089391)
hgbot (developer)
2016-08-25 12:08

Repository: tools/automation/pi-mobile
Changeset: a6b581476d1983c0d16ff57064b39745def0196f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Aug 25 09:18:23 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/a6b581476d1983c0d16ff57064b39745def0196f [^]

Related issue 0033695: It is still possible to press twice Done or Layaway buttons

- Add wait to avoid pressing Done twice in one second for all Done tap calls

---
M src-test/org/openbravo/test/mobile/common/selenium/testhelpers/TestActionsHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I31146_CashupCloseWindowsAndPay.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I28582_NoNewReceiptWhenQueueExists.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I28272_HookPreOrderSaveNotCancelling.java
---
(0089422)
hgbot (developer)
2016-08-26 06:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f82790e55eee87b5431a0f6fe94c1857c5ed767e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Aug 26 06:46:31 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f82790e55eee87b5431a0f6fe94c1857c5ed767e [^]

Fixed issue 0033695: It is still possible to press twice Done or Layaway buttons

- Delete current before setting to false calculateReceiptLock in order to do not trigger any receipt event when clearing the order
- Avoid calling updatePending or checkValidPayment when we are processing the receipt (after pressing Done button)

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0089423)
hgbot (developer)
2016-08-26 06:54

Repository: tools/automation/pi-mobile
Changeset: 171e4e2914acf5a579a25ae54af4873a3a3063ca
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Aug 26 06:53:51 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/171e4e2914acf5a579a25ae54af4873a3a3063ca [^]

Related issue 0033695: It is still possible to press twice Done or Layaway buttons

- Ensure that Done button is disabled after doing a sale

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/SALa010_CreateSale.java
---
(0089685)
guilleaer (developer)
2016-09-01 21:37

Verified.
(0090145)
hgbot (developer)
2016-09-21 17:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8288cc5de0f0c485a69011eceeaddd7d5ba8e55e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 21 17:47:03 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8288cc5de0f0c485a69011eceeaddd7d5ba8e55e [^]

Fixed issue 0033695: It is still possible to press twice Done or Layaway buttons

- Change message from info to error to be able to track it better

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0090169)
hgbot (developer)
2016-09-22 15:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5b0bfe188684d71ec4e7c1e824eed5e35f9282a1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 22 09:35:09 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b0bfe188684d71ec4e7c1e824eed5e35f9282a1 [^]

Related to issue 0033695: It is still possible to press twice Done or Layaway buttons

- Add more info in the log

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0090322)
hgbot (developer)
2016-09-28 07:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 39fc0ace5760ded8d34606eaf3cb4dcc8672bc08
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Sep 26 12:44:42 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/39fc0ace5760ded8d34606eaf3cb4dcc8672bc08 [^]

Related to issue 0033695: It is still possible to press twice Done or Layaway buttons

- Move log to show less log.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---

- Issue History
Date Modified Username Field Change
2016-08-12 09:52 migueldejuana New Issue
2016-08-12 09:52 migueldejuana Assigned To => Retail
2016-08-12 09:52 migueldejuana Triggers an Emergency Pack => No
2016-08-12 09:52 migueldejuana Relationship added related to 0030236
2016-08-12 09:52 migueldejuana Priority normal => high
2016-08-12 14:35 migueldejuana Relationship added related to 0033696
2016-08-17 08:30 migueldejuana Assigned To Retail => migueldejuana
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089352
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089353
2016-08-24 15:48 hgbot Status new => resolved
2016-08-24 15:48 hgbot Resolution open => fixed
2016-08-24 15:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/312487227df3dd7bfac2fa67901892f9acd9555c [^]
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089357
2016-08-25 12:08 hgbot Checkin
2016-08-25 12:08 hgbot Note Added: 0089391
2016-08-26 06:47 hgbot Checkin
2016-08-26 06:47 hgbot Note Added: 0089422
2016-08-26 06:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/312487227df3dd7bfac2fa67901892f9acd9555c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f82790e55eee87b5431a0f6fe94c1857c5ed767e [^]
2016-08-26 06:54 hgbot Checkin
2016-08-26 06:54 hgbot Note Added: 0089423
2016-08-26 06:54 migueldejuana Review Assigned To => guilleaer
2016-09-01 21:37 guilleaer Note Added: 0089685
2016-09-01 21:37 guilleaer Status resolved => closed
2016-09-01 21:37 guilleaer Fixed in Version => RR16Q4
2016-09-19 13:33 malsasua File Added: 33695_backport16Q2.diff
2016-09-21 17:48 hgbot Checkin
2016-09-21 17:48 hgbot Note Added: 0090145
2016-09-21 17:48 hgbot Status closed => resolved
2016-09-21 17:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f82790e55eee87b5431a0f6fe94c1857c5ed767e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8288cc5de0f0c485a69011eceeaddd7d5ba8e55e [^]
2016-09-22 11:11 migueldejuana Status resolved => new
2016-09-22 11:11 migueldejuana Resolution fixed => open
2016-09-22 11:11 migueldejuana Fixed in Version RR16Q4 =>
2016-09-22 11:11 migueldejuana Status new => scheduled
2016-09-22 11:11 migueldejuana Status scheduled => resolved
2016-09-22 11:11 migueldejuana Resolution open => fixed
2016-09-22 15:20 hgbot Checkin
2016-09-22 15:20 hgbot Note Added: 0090169
2016-09-23 11:44 migueldejuana Relationship added causes 0034065
2016-09-26 09:37 marvintm Status resolved => closed
2016-09-28 07:37 hgbot Checkin
2016-09-28 07:37 hgbot Note Added: 0090322
2016-11-16 09:53 migueldejuana File Added: posterminal33695_16Q1.3.diff
2017-10-04 13:20 malsasua Relationship added related to 0037001


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker